#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	libgee - GObject collection library
Summary(pl.UTF-8):	libgee - biblioteka kolekcji oparta na GObject
Name:		libgee
Version:	0.16.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgee/0.16/%{name}-%{version}.tar.xz
# Source0-md5:	d30cf203784431b0fdc3216b1acd999c
URL:		http://live.gnome.org/Libgee
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# not required for stable releases (all generated files are included)
#BuildRequires:	vala >= 2:0.25.1
Requires:	glib2 >= 1:2.36.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgee is a collection library providing GObject-based interfaces and
classes for commonly used data structures.

%description -l pl.UTF-8
libgee jest biblioteką udostępniajacą oparte na bibliotece GObject
interfejsy oraz klasy powszechnie używanych struktur danych.

%package devel
Summary:	Header files for libgee library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgee
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0

%description devel
Header files for libgee library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgee.

%package static
Summary:	Static libgee library
Summary(pl.UTF-8):	Statyczna biblioteka libgee
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgee library.

%description static -l pl.UTF-8
Statyczna biblioteka libgee.

%package -n vala-libgee
Summary:	libgee API for Vala language
Summary(pl.UTF-8):	API libgee dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.25.1

%description -n vala-libgee
libgee API for Vala language.

%description -n vala-libgee -l pl.UTF-8
API libgee dla języka Vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgee-0.8.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgee-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgee-0.8.so.2
%{_libdir}/girepository-1.0/Gee-0.8.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgee-0.8.so
%{_pkgconfigdir}/gee-0.8.pc
%{_includedir}/gee-0.8
%{_datadir}/gir-1.0/Gee-0.8.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgee-0.8.a
%endif

%files -n vala-libgee
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gee-0.8.vapi
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgee.git;a=log;h=master

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 8208861
- updated to 0.16.1

* Wed Oct 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 571221c
- updated to 0.16.0

* Mon Mar 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> ac19c4e
- updated to 0.14.0

* Tue Mar 04 2014 Jakub Bogusz <qboosh@pld-linux.org> e5464e8
- updated to 0.12.1

* Fri Sep 27 2013 Jakub Bogusz <qboosh@pld-linux.org> e65876b
- updated automake,glib2,vala versions

* Fri Sep 27 2013 Artur Frysiak <artur@frysiak.net> 6216d06
- Up to 0.12.0

* Tue Sep 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 096e84c
- updated to 0.10.5

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 59f82e3
- updated to 0.10.4

* Thu Aug 08 2013 Jakub Bogusz <qboosh@pld-linux.org> a17fae5
- updated to 0.10.3

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> b7c0dc2
- updated to 0.10.2

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 6800324
- updated to 0.10.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 6dbc72d
- updated devel dependency on glib2-devel

* Wed Mar 27 2013 Artur Frysiak <artur@frysiak.net> 1c4031f
- Up to 0.10.0

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 5430a37
- updated to 0.8.5

* Sat Feb 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d42b45
- updated to 0.8.4

* Sat Dec 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c72e72
- updated to 0.8.3

* Wed Nov 14 2012 Jakub Bogusz <qboosh@pld-linux.org> f5111df
- updated to 0.8.2

* Wed Oct 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 905005e
- updated to 0.8.1; last 0.6.x forked as libgee0.6

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> b541838
- updated to 0.6.5

* Sat Jan 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 42d9aeb
- updated to 0.6.4
- pl fix
- added -static (on bcond)
- separated vala-libgee

